<?xml version="1.0" encoding="UTF-8"?>
<odoo>
    <data>
        <record model="ir.ui.view" id="intel_donor_attributes_inherit">
            <field name="name">intel.donor.attributes.inherit</field>
            <field name="inherit_id" ref="custom_crm_duplicates.custom_partner_merge_automatic_wizard_form1"/>
            <field name="model">custom.partner.merge.automatic.wizard</field>
             <field name="arch" type="xml">
                <xpath expr="//p[hasclass('oe_grey')]" position="replace">
                    <h2 class="oe_grey" attrs="{'invisible': [('state', '!=', ('option'))]}">Select your criteria</h2>
                </xpath>

                <xpath expr="//field[@name='filter_partner_id']" position="after">
                    <label for="dummy" style="color:#fff"/>
                    <field name="dummy" readonly="1" nolabel="1" style="color:red"/>
                </xpath>
                <xpath expr="//field[@name='partner_ids']" position="replace">
                      <field name="partner_ids" nolabel="1" context="{'dest_partner':dst_partner_id, 'primary_contact':min_id,'check':check}" >
                                <tree string="Partners" options='{"selectable": "1"}'>
                                    <!--<field name="merge_field" string = ""/>-->
                                    <field name="match_description_display"/>
                                    <field name="compute_fuzzy_percent"/>
                                    <field name="code" string="Donor ID"/>
                                    <field name="display_name" string="Name"/>
                                    <field name="x_studio_field_VfR7W" />
                                    <field name="phone" />
                                    <field name="email" />
                                    <!--<field name="fuzzy_percent1" />-->
                                    <field name="x_studio_field_chJhB"/>
                                    <field name="x_studio_field_uzzbN"/>
                                    <field name="x_studio_field_dLazD" invisible="1"/>
                                    <field name="x_studio_field_83P92" invisible="1"/>
                                    <field name="x_studio_field_nNA3x" invisible="1"/>
                                    <field name="x_studio_field_sOhhB" invisible="1"/>
                                    <field name="eligible_donor" invisible="1"/>
                                    <!--<field name="fuzzy_percent" />-->
                                    <!--<field name="match_description" />-->
                                    <field name="child_ids"/>
                                    <field name="is_company" invisible="1"/>
                                    <!--<field name="vat" />-->
                                    <!--<field name="country_id" />-->

                                </tree>
                            </field>
                </xpath>
                <xpath expr="//field[@name='donor_attribute']" position="replace">
                    <field name="donor_attribute" required="0" invisible="1"/>
                </xpath>
            </field>
        </record>

    <record id="prt_phone_numbers.prt_res_partner_view_form" model="ir.ui.view">
        <field name="name">prt.res.partner.form</field>
        <field name="model">res.partner</field>
        <field name="inherit_id" ref="base.view_partner_form"/>
        <field name="arch" type="xml">
            <xpath expr="//notebook/page[@name='internal_notes']" position="before">
                <page name="phones" string="Phones/Emails/Usernames">
                  <field name="phone_number_ids">
                    <tree string="Phones/Emails/Usernames" editable="bottom">
                      <field name="sequence" widget="handle"/>
                      <field name="type" placeholder="Select 'Username' to store user name (e.g. Skype name)"/>
                      <field name="number" placeholder="Numbers should start with country code (e.g. +1 202 ...)"/>
                      <field name="tags" widget="many2many_tags"  attrs="{'readonly':[('type', '=', '7')]}" options="{'color_field': 'color', 'no_quick_create':True}" placeholder="Tags"/>
                      <field name="note" placeholder="Put your comment here"/>
                    </tree>
                  </field>
                  <field name="phone_number_duplicates_count" invisible="1"/>
                  <div attrs="{'invisible':[('phone_number_duplicates_count','&lt;',1)]}">
                      <p style="color:#ff0000;">
                          <strong>Duplicates found!</strong><br/>
                      </p>
                  </div>
                  <field name="phone_number_duplicates" attrs="{'invisible':[('phone_number_duplicates_count','&lt;',1)]}">
                    <tree string="Duplicates">
                      <field name="partner_id"/>
                      <field name="type"/>
                      <field name="number"/>
                    </tree>
                  </field>
                </page>
            </xpath>
            <xpath expr="//field[@name='child_ids']/form/sheet/field[@name='image']" position="after">
              <notebook>
                <page name="phones" string="Phones/Emails/Usernames">
                  <field name="phone_number_ids">
                    <tree string="Phones/Emails/Usernames" editable="bottom" default_order='type, sequence'>
                      <field name="sequence" widget="handle"/>
                      <field name="type" placeholder="Select 'Username' to store user name (e.g. Skype name)"/>
                      <field name="number" placeholder="Numbers should start with country code (e.g. +1 202 ...)"/>
                      <field name="tags" widget="many2many_tags"  attrs="{'readonly':[('type', '=', '7')]}" options="{'color_field': 'color', 'no_quick_create':True}" placeholder="Tags"/>
                      <field name="note" placeholder="Put your comment here"/>
                    </tree>
                  </field>
                  <field name="phone_number_duplicates_count" invisible="1"/>
                  <div attrs="{'invisible':[('phone_number_duplicates_count','&lt;',1)]}">
                      <p style="color:#ff0000;">
                          <strong>Duplicates found!</strong><br/>
                      </p>
                  </div>
                  <field name="phone_number_duplicates" attrs="{'invisible':[('phone_number_duplicates_count','&lt;',1)]}">
                    <tree string="Duplicates">
                      <field name="partner_id"/>
                      <field name="type"/>
                      <field name="number"/>
                    </tree>
                  </field>
                </page>
              </notebook>
            </xpath>
        </field>
    </record>
    </data>
</odoo>
 
    